SystemOrganization addCategory: #'AL-Examples'!

ALApplication subclass: #ALExampleApplication
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Examples'!

!ALExampleApplication methodsFor: 'as yet unclassified' stamp: 'cwp 7/18/2012 12:16'!
initializeHandler
	handler := ALChunkingRelay destination: handler.
	handler := ALKeepAliveRelay destination: handler.
	handler := ALRequestDecodingRelay destination: handler.
	handler := ALLimitingRelay destination: handler! !

!ALExampleApplication methodsFor: 'as yet unclassified' stamp: 'cwp 7/22/2012 07:49'!
initializeLocator
	locator 
		at: ALPath root 
		put: ALExampleToc new asResource! !

Object subclass: #ALCounterExample
	instanceVariableNames: 'counter'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Examples'!

!ALCounterExample methodsFor: 'as yet unclassified' stamp: 'cwp 7/18/2012 12:18'!
asResource
	^ ALHtmlResource component: self! !

!ALCounterExample methodsFor: 'as yet unclassified' stamp: 'cwp 7/18/2012 12:22'!
initialize
	super initialize.
	counter := 0! !

!ALCounterExample methodsFor: 'as yet unclassified' stamp: 'cwp 7/18/2012 12:29'!
renderContentOn: html
	html a navigate: [counter := counter - 1]; with: '--'.
	html text: counter asString.
	html a navigate: [counter := counter + 1]; with: '++'.! !

!ALCounterExample methodsFor: 'as yet unclassified' stamp: 'cwp 7/18/2012 12:25'!
renderOn: html
	html html:
		[html head:
			[html title: 'Altitude Counter Example'.
			html style: self style].
		html body:
			[self renderContentOn: html]]! !

!ALCounterExample methodsFor: 'as yet unclassified' stamp: 'cwp 7/18/2012 12:29'!
style
	^ '
body {font-size: 36}
a {
  display: inline-block;
  margin: 10px;
  text-decoration: none;
'! !

Object subclass: #ALExampleToc
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Examples'!

!ALExampleToc methodsFor: 'converting' stamp: 'cwp 7/22/2012 07:51'!
asResource
	^ ALHtmlResource component: self! !

!ALExampleToc methodsFor: 'as yet unclassified' stamp: 'cwp 7/22/2012 08:21'!
render: aClass as: aString on: html
	html li:
		[html a
			linkTo: aClass new asResource;
			with: aString]! !

!ALExampleToc methodsFor: 'as yet unclassified' stamp: 'cwp 7/22/2012 08:22'!
renderOn: html
	html html:
		[html head: 
			[html title: 'Examples'].
		html body:
			[html h1: 'Examples'.
			html ul: 
				[self render: ALCounterExample as: 'counter' on: html.
				self render: ALUnicodeExample as: 'unicode' on: html]]]! !

Object subclass: #ALUnicodeExample
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Examples'!

!ALUnicodeExample methodsFor: 'converting' stamp: 'cwp 7/22/2012 07:53'!
asResource
	^ ALHtmlResource component: self! !

!ALUnicodeExample methodsFor: 'rendering' stamp: 'cwp 7/22/2012 08:08'!
renderChartOn: html
	html table:
		[1 to: 4096 do:
			[:code |
			html tr:
				[html td: 
					[html text: 'U+'.
					html text: (code printStringBase: 16 nDigits: 4)].
				html td:
					[html text: (Character value: code) asString]]]]! !

!ALUnicodeExample methodsFor: 'rendering' stamp: 'cwp 7/22/2012 08:01'!
renderOn: html
	html html:
		[html head:
			[html title: 'Unicode Exmaple'].
		html body:
			[html h1: 'Unicode Example'.
			self renderChartOn: html]]! !
